Subject: Re: bug#77240: 30.1; Native-comp causing large memory leak

From: N Winkel <[email-masked]>
Date: Mon, 24 Mar 2025 21:32:07 +0100

On 24/03/2025 21:24, Andrea Corallo wrote:
> My impression is that you are just observing libgccjit running in
> background while we are populating the eln cache.  How long have you
> tried waiting for the compilation to finish (and the memory to be
> released) before coming to the conlusion this is a memory leak?
I've waited until all the memory my system has was full, this was
emacs using over 10G of memory, with no indication of the increase
slowing, even though no further .eln files were being compiled.
Can I somehow check if libgccjit is still running?